# Threads
[Concurrency]

Collaboration diagram for Threads:

## Classes

- class std::thread
    thread More...

## Namespaces

- namespace std::this_thread

## Functions

- bool std::operator!= (thread::id __x, thread::id __y)
- template<class _CharT , class _Traits > basic_ostream< _CharT, _Traits > & std::operator<< (basic_ostream< _CharT, _Traits > &&__out, thread::id __id)
- bool std::operator<= (thread::id __x, thread::id __y)
- bool std::operator> (thread::id __x, thread::id __y)
- bool std::operator>= (thread::id __x, thread::id __y)
- void std::swap (thread &__x, thread &&__y)
- void std::swap (thread &&__x, thread &__y)
- void std::swap (thread &__x, thread &__y)

## Detailed Description

Classes for thread support.